<?php
/**
 * Fast Food Joint functions and definitions
 *
 * @link https://developer.wordpress.org/themes/basics/theme-functions/
 *
 * @package fast_food_joint
 */

$fast_food_joint_theme_data = wp_get_theme();
if( ! defined( 'FAST_FOOD_JOINT_THEME_VERSION' ) ) define ( 'FAST_FOOD_JOINT_THEME_VERSION', $fast_food_joint_theme_data->get( 'Version' ) );
if( ! defined( 'FAST_FOOD_JOINT_THEME_NAME' ) ) define( 'FAST_FOOD_JOINT_THEME_NAME', $fast_food_joint_theme_data->get( 'Name' ) );
if( ! defined( 'FAST_FOOD_JOINT_THEME_TEXTDOMAIN' ) ) define( 'FAST_FOOD_JOINT_THEME_TEXTDOMAIN', $fast_food_joint_theme_data->get( 'TextDomain' ) );

if ( ! defined( 'FAST_FOOD_JOINT_VERSION' ) ) {
	define( 'FAST_FOOD_JOINT_VERSION', '1.0.0' );
}

if ( ! function_exists( 'fast_food_joint_setup' ) ) :
	
	function fast_food_joint_setup() {
		
		load_theme_textdomain( 'fast-food-joint', get_template_directory() . '/languages' );

		add_theme_support( 'automatic-feed-links' );
		
		add_theme_support( 'title-tag' );
		
		add_theme_support( 'woocommerce' );

		add_theme_support( 'post-thumbnails' );

		register_nav_menus(
			array(
				'primary' => esc_html__( 'Primary', 'fast-food-joint' ),
			)
		);

		add_theme_support(
			'html5',
			array(
				'search-form',
				'comment-form',
				'comment-list',
				'gallery',
				'caption',
				'style',
				'script',
				'woocommerce',
			)
		);

		add_theme_support( 'post-formats', array(
			'image',
			'video',
			'gallery',
			'audio', 
		) );

		add_theme_support(
			'custom-background',
			apply_filters(
				'fast_food_joint_custom_background_args',
				array(
					'default-color' => 'ffffff',
					'default-image' => '',
				)
			)
		);

		add_theme_support( 'customize-selective-refresh-widgets' );

		add_theme_support(
			'custom-logo',
			array(
				'height'      => 250,
				'width'       => 250,
				'flex-width'  => true,
				'flex-height' => true,
			)
		);

		add_theme_support( 'align-wide' );

		add_theme_support( 'responsive-embeds' );

		/*
		* This theme styles the visual editor to resemble the theme style,
		* specifically font, colors, icons, and column width.
		*/
		add_editor_style( '/resource/css/editor-style.css' );
	}
endif;
add_action( 'after_setup_theme', 'fast_food_joint_setup' );

function fast_food_joint_content_width() {
	$GLOBALS['content_width'] = apply_filters( 'fast_food_joint_content_width', 640 );
}
add_action( 'after_setup_theme', 'fast_food_joint_content_width', 0 );

function fast_food_joint_widgets_init() {
	register_sidebar(
		array(
			'name'          => esc_html__( 'Sidebar', 'fast-food-joint' ),
			'id'            => 'sidebar-1',
			'description'   => esc_html__( 'Add widgets here.', 'fast-food-joint' ),
			'before_widget' => '<section id="%1$s" class="widget %2$s">',
			'after_widget'  => '</section>',
			'before_title'  => '<h2 class="widget-title"><span>',
			'after_title'   => '</span></h2>',
		)
	);

	// Regsiter 4 footer widgets.
	$fast_food_joint_footer_widget_column = get_theme_mod('fast_food_joint_footer_widget_column','4');
	for ($fast_food_joint_i=1; $fast_food_joint_i<=$fast_food_joint_footer_widget_column; $fast_food_joint_i++) {
		register_sidebar( array(
			'name' => __( 'Footer  ', 'fast-food-joint' )  . $fast_food_joint_i,
			'id' => 'fast-food-joint-footer-widget-' . $fast_food_joint_i,
			'description' => __( 'The Footer Widget Area', 'fast-food-joint' )  . $fast_food_joint_i,
			'before_widget' => '<aside id="%1$s" class="widget %2$s">',
			'after_widget' => '</aside>',
			'before_title' => '<div class="widget-header"><h4 class="widget-title">',
			'after_title' => '</h4></div>',
		) );
	}
}
add_action( 'widgets_init', 'fast_food_joint_widgets_init' );

/**
 * Enqueue scripts and styles.
 */
function fast_food_joint_scripts() {
	// Append .min if SCRIPT_DEBUG is false.
	$min = ( defined( 'SCRIPT_DEBUG' ) && SCRIPT_DEBUG ) ? '' : '.min';

	// Slick style.
	wp_enqueue_style( 'fast-food-joint-slick-style', get_template_directory_uri() . '/resource/css/slick' . $min . '.css', array(), '1.8.1' );

	// Fontawesome style.
	wp_enqueue_style( 'font-awesome-css', esc_url(get_template_directory_uri())."/resource/css/fontawesome-all.css" );

	// Main style.
	wp_enqueue_style( 'fast-food-joint-style', get_template_directory_uri() . '/style.css', array(), FAST_FOOD_JOINT_VERSION );
	
	if (get_theme_mod('fast_food_joint_enable_animation', true) == true){
		// Animate CSS
		wp_enqueue_style( 'animate-style', get_template_directory_uri() . '/resource/css/animate.css' );
		// Wow script.
		wp_enqueue_script( 'wow-jquery', get_template_directory_uri() . '/resource/js/wow.js', array('jquery'),'' ,true );
	}

	// Navigation script.
	wp_enqueue_script( 'fast-food-joint-navigation-script', get_template_directory_uri() . '/resource/js/navigation.js', array(), FAST_FOOD_JOINT_VERSION, true );

	// Slick script.
	wp_enqueue_script( 'fast-food-joint-slick-script', get_template_directory_uri() . '/resource/js/slick' . $min . '.js', array( 'jquery' ), '1.8.1', true );

	// Custom script.
	wp_enqueue_script( 'fast-food-joint-custom-script', get_template_directory_uri() . '/resource/js/custom.js', array( 'jquery' ), FAST_FOOD_JOINT_VERSION, true );


	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
		wp_enqueue_script( 'comment-reply' );
	}

	// Include the file.
	require_once get_theme_file_path( 'theme-library/function-files/wptt-webfont-loader.php' );

}
add_action( 'wp_enqueue_scripts', 'fast_food_joint_scripts' );

//Change number of products per page 
add_filter( 'loop_shop_per_page', 'fast_food_joint_products_per_page' );
function fast_food_joint_products_per_page( $cols ) {
  	return  get_theme_mod( 'fast_food_joint_products_per_page',9);
}

// Change number or products per row 
add_filter('loop_shop_columns', 'fast_food_joint_loop_columns');
	if (!function_exists('fast_food_joint_loop_columns')) {
	function fast_food_joint_loop_columns() {
		return get_theme_mod( 'fast_food_joint_products_per_row', 3 );
	}
}

/**
 * Implement the Custom Header feature.
 */
require get_template_directory() . '/theme-library/custom-header.php';

/**
 * Custom template tags for this theme.
 */
require get_template_directory() . '/theme-library/function-files/template-tags.php';
/**
 * Functions which enhance the theme by hooking into WordPress.
 */
require get_template_directory() . '/theme-library/function-files/template-functions.php';

/**
 * Customizer additions.
 */
require get_template_directory() . '/theme-library/customizer.php';

/**
 * Breadcrumb
 */
require get_template_directory() . '/theme-library/function-files/class-breadcrumb-trail.php';
/**
 * Google Fonts
 */
require get_template_directory() . '/theme-library/function-files/google-fonts.php';

/**
 * Dynamic CSS
 */
require get_template_directory() . '/theme-library/dynamic-css.php';

/**
 * Getting Started
*/
require get_template_directory() . '/theme-library/getting-started/getting-started.php';

function fast_food_joint_links_setup() {
	if ( ! defined( 'FAST_FOOD_JOINT_PREMIUM_PAGE' ) ) {
	define('FAST_FOOD_JOINT_PREMIUM_PAGE',__('https://asterthemes.com/products/food-joint-wordpress-theme','fast-food-joint'));
	}
	if ( ! defined( 'FAST_FOOD_JOINT_THEME_PAGE' ) ) {
		define('FAST_FOOD_JOINT_THEME_PAGE',__('https://asterthemes.com/products/fast-food-joint','fast-food-joint'));
	}
	if ( ! defined( 'FAST_FOOD_JOINT_SUPPORT' ) ) {
	define('FAST_FOOD_JOINT_SUPPORT',__('https://wordpress.org/support/theme/fast-food-joint/','fast-food-joint'));
	}
	if ( ! defined( 'FAST_FOOD_JOINT_REVIEW' ) ) {
	define('FAST_FOOD_JOINT_REVIEW',__('https://wordpress.org/support/theme/fast-food-joint/reviews/','fast-food-joint'));
	}
	if ( ! defined( 'FAST_FOOD_JOINT_PRO_DEMO' ) ) {
	define('FAST_FOOD_JOINT_PRO_DEMO',__('https://demo.asterthemes.com/fast-food-joint/','fast-food-joint'));
	}
	if ( ! defined( 'FAST_FOOD_JOINT_THEME_DOCUMENTATION' ) ) {
	define('FAST_FOOD_JOINT_THEME_DOCUMENTATION',__('https://demo.asterthemes.com/docs/fast-food-joint-free/','fast-food-joint'));
	}
	if ( ! defined( 'FAST_FOOD_JOINT_PREMIUM_DOCUMENTATION' ) ) {
	define('FAST_FOOD_JOINT_PREMIUM_DOCUMENTATION',__('https://demo.asterthemes.com/docs/fast-food-joint-pro/','fast-food-joint'));
	}
	if ( ! defined( 'FAST_FOOD_JOINT_BUNDLE_PAGE' ) ) {
		define('FAST_FOOD_JOINT_BUNDLE_PAGE',__('https://asterthemes.com/products/wp-theme-bundle','fast-food-joint'));
	}
}
add_action('after_setup_theme', 'fast_food_joint_links_setup');

/**
 * Theme Wizard
*/
add_action( 'init', 'fast_food_joint_load_theme_wizard' );
function fast_food_joint_load_theme_wizard() {
    require get_parent_theme_file_path( '/theme-wizard/config.php' );
}

// Enqueue Customizer live preview script
function fast_food_joint_customizer_live_preview() {
    wp_enqueue_script(
        'fast-food-joint-customizer',
        get_template_directory_uri() . '/js/customizer.js',
        array('jquery', 'customize-preview'),
        '',
        true
    );
}
add_action('customize_preview_init', 'fast_food_joint_customizer_live_preview');

// Featured Image Dimension
function fast_food_joint_blog_post_featured_image_dimension(){
	if(get_theme_mod('fast_food_joint_blog_post_featured_image_dimension') == 'custom' ) {
		return true;
	}
	return false;
}

// Featured Image Border Radius
function fast_food_joint_featured_image_border_radius_css() {
    $fast_food_joint_featured_image_border_radius = get_theme_mod('fast_food_joint_featured_image_border_radius', 10);
    ?>
    <style type="text/css">  
        .mag-post-single img {
            border-radius: <?php echo esc_attr($fast_food_joint_featured_image_border_radius); ?>px;
        }
    </style>
    <?php
}
add_action('wp_head', 'fast_food_joint_featured_image_border_radius_css');

/**
 * Customizer Settings Functions
*/
require get_template_directory() . '/theme-library/function-files/customizer-settings-functions.php';

add_filter( 'woocommerce_enable_setup_wizard', '__return_false' );

// Reset all theme settings
function fast_food_joint_reset_demo_import_settings() {
    if (current_user_can('manage_options')) {
        // List only demo import-related settings to reset
		remove_theme_mod('fast_food_joint_email_topbar_text');
		remove_theme_mod('fast_food_joint_phone_topbar_address');
		remove_theme_mod('fast_food_joint_email_topbar_address');
		remove_theme_mod('fast_food_joint_topheader_button_url');
		remove_theme_mod('fast_food_joint_topheader_button_text');
		remove_theme_mod('fast_food_joint_banner_button_label_');
		remove_theme_mod('fast_food_joint_about_us_left_heading');
		remove_theme_mod('fast_food_joint_about_us_left_text');
		remove_theme_mod('fast_food_joint_about_button_link_');
		remove_theme_mod('fast_food_joint_about_button_label_');
		remove_theme_mod('fast_food_joint_enable_about_section');
		remove_theme_mod('fast_food_joint_enable_banner_section');
		
        wp_send_json_success(array('message' => __('Demo import settings have been reset.', 'fast-food-joint')));
    } else {
        wp_send_json_error(array('message' => __('Permission denied.', 'fast-food-joint')));
    }
}
add_action('wp_ajax_fast_food_joint_reset_demo_import_settings', 'fast_food_joint_reset_demo_import_settings'); 